/*!
 * wbm-modem-ng@1.0.20
 * 
 *   Copyright © 2021 WAGO Kontakttechnik GmbH & Co. KG
 * 
 *   License: 
 *     WAGO Software License Agreement
 * 
 *   Contributors:
 *     
 * 
 *   Description:
 *     Modem Control for EC25
 * 
 *   
 */
!function(e,t){"object"==typeof exports&&"object"==typeof module?module.exports=t():"function"==typeof define&&define.amd?define([],t):"object"==typeof exports?exports["modem-ng"]=t():e["modem-ng"]=t()}(window,(function(){return function(e){var t={};function n(o){if(t[o])return t[o].exports;var r=t[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,n),r.l=!0,r.exports}return n.m=e,n.c=t,n.d=function(e,t,o){n.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:o})},n.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},n.t=function(e,t){if(1&t&&(e=n(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var o=Object.create(null);if(n.r(o),Object.defineProperty(o,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var r in e)n.d(o,r,function(t){return e[t]}.bind(null,r));return o},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,"a",t),t},n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},n.p="",n(n.s=1)}([function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this.base=e}return e.prototype.onRouteChange=function(e){},e.prototype.unload=function(){},e}();t.ViewController=o},function(e,t,n){"use strict";var o=this&&this.__awaiter||function(e,t,n,o){return new(n||(n=Promise))((function(r,i){function l(e){try{c(o.next(e))}catch(e){i(e)}}function a(e){try{c(o.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(l,a)}c((o=o.apply(e,t||[])).next())}))},r=this&&this.__generator||function(e,t){var n,o,r,i,l={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;l;)try{if(n=1,o&&(r=2&i[0]?o.return:i[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,i[1])).done)return r;switch(o=0,r&&(i=[2&i[0],r.value]),i[0]){case 0:case 1:r=i;break;case 4:return l.label++,{value:i[1],done:!1};case 5:l.label++,o=i[1],i=[0];continue;case 7:i=l.ops.pop(),l.trys.pop();continue;default:if(!(r=l.trys,(r=r.length>0&&r[r.length-1])||6!==i[0]&&2!==i[0])){l=0;continue}if(3===i[0]&&(!r||i[1]>r[0]&&i[1]<r[3])){l.label=i[1];break}if(6===i[0]&&l.label<r[1]){l.label=r[1],r=i;break}if(r&&l.label<r[2]){l.label=r[2],l.ops.push(i);break}r[2]&&l.ops.pop(),l.trys.pop();continue}i=t.call(e,l)}catch(e){i=[6,e],o=0}finally{n=r=0}if(5&i[0])throw i[1];return{value:i[0]?i[1]:void 0,done:!0}}([i,a])}}};Object.defineProperty(t,"__esModule",{value:!0});var i=n(2),l=n(3),a=n(5),c=n(7),u=n(9),s=n(11);base.plugin.register("wbm-modem-ng",(function(e){return o(this,void 0,void 0,(function(){var t,o,d=this;return r(this,(function(r){return s.NetworkPackageService,this.npsview=new s.NetworkPackageService(e),t={title:{default:"Configuration of internal Modem",localized:"modem-page-title"},note:{default:"Changes will take effect immediately",localized:"modem-page-note"},content:[n(13),new l.UnlockSim(e),new a.MobileNetworkInfo(e),new c.MobileNetworkConfig(e),new u.NetworkScan(e),this.npsview]},o=e.viewGenerator.generate(e,t),e.parameter.observe("modemng.unlocksimbypin",{kind:"called"},(function(){return setTimeout((function(){o.load()}),1e3)})),e.parameter.observe("modemng.unlocksimbypuk",{kind:"called"},(function(){return setTimeout((function(){o.load()}),1e3)})),e.parameter.observe("modemng.forgetpin",{kind:"called"},(function(){return o.load()})),setInterval((function(){d.npsview.updateApnInputColourAndTooltip()}),1e3),[2,{id:"modem-ng",title:{fallback:"Modem",key:"modem-menu-entry"},description:{fallback:"Modem configuration",key:"modem-menu-entry-description"},priority:0,userRoles:[i.UserRoles.admin,i.UserRoles.user],controller:o}]}))}))}))},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e.admin="admin",e.user="user",e.guest="guest"}(t.UserRoles||(t.UserRoles={}))},function(e,t,n){"use strict";var o,r=this&&this.__extends||(o=function(e,t){return(o=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}o(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),i=this&&this.__awaiter||function(e,t,n,o){return new(n||(n=Promise))((function(r,i){function l(e){try{c(o.next(e))}catch(e){i(e)}}function a(e){try{c(o.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(l,a)}c((o=o.apply(e,t||[])).next())}))},l=this&&this.__generator||function(e,t){var n,o,r,i,l={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;l;)try{if(n=1,o&&(r=2&i[0]?o.return:i[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,i[1])).done)return r;switch(o=0,r&&(i=[2&i[0],r.value]),i[0]){case 0:case 1:r=i;break;case 4:return l.label++,{value:i[1],done:!1};case 5:l.label++,o=i[1],i=[0];continue;case 7:i=l.ops.pop(),l.trys.pop();continue;default:if(!(r=l.trys,(r=r.length>0&&r[r.length-1])||6!==i[0]&&2!==i[0])){l=0;continue}if(3===i[0]&&(!r||i[1]>r[0]&&i[1]<r[3])){l.label=i[1];break}if(6===i[0]&&l.label<r[1]){l.label=r[1],r=i;break}if(r&&l.label<r[2]){l.label=r[2],l.ops.push(i);break}r[2]&&l.ops.pop(),l.trys.pop();continue}i=t.call(e,l)}catch(e){i=[6,e],o=0}finally{n=r=0}if(5&i[0])throw i[1];return{value:i[0]?i[1]:void 0,done:!0}}([i,a])}}};Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var o=e.call(this,t)||this,r=n(4);return o.viewController=t.viewGenerator.generate(t,r),o.view=o.viewController.view,o}return r(t,e),t.prototype.load=function(){return i(this,void 0,void 0,(function(){var e,t;return l(this,(function(n){switch(n.label){case 0:return[4,this.viewController.load()];case 1:return n.sent(),null!=(e=this.view.querySelector('[taid="field-modem-sim-pin-save-field-title"] input'))&&(e.checked=!0),null!=(t=this.view.querySelector('[taid="field-modem-sim-new-pin-save-field-title"] input'))&&(t.checked=!0),[2]}}))}))},t}(n(0).ViewController);t.UnlockSim=a},function(e){e.exports=JSON.parse('{"title":{"default":"SIM Information","localized":"SIM_Information"},"sections":[{"fields":[{"title":{"default":"State:","localized":"modem_simstate"},"parameter":"modemng.simstate","control":{"type":"textfield"},"options":{"readonly":true}},{"hidden":"modemng.simstate is not sim_ready","title":{"default":"SIM-ID (ICCID)","localized":"modem-sim-iccid-field-title"},"parameter":"modemng.iccid","control":{"type":"textfield"},"options":{"readonly":true}},{"hidden":"modemng.simstate is not sim_locked","title":{"default":"SIM-ID (ICCID)","localized":"modem-sim-iccid-field-title"},"parameter":"modemng.iccid","control":{"type":"textfield"},"options":{"readonly":true}}]},{"hidden":"modemng.locktype is not PIN","fields":[{"title":{"default":"Enter PIN","localized":"modem-sim-pin-field-title"},"argument":"pin","control":{"type":"textfield","options":{"masked":true}}},{"title":{"default":"Save PIN","localized":"modem-sim-pin-save-field-title"},"argument":"savepin","control":{"type":"checkbox"}},{"title":{"default":"Attempts left","localized":"modem-sim-pin-left-attempts-field-title"},"parameter":"modemng.leftattempts","control":{"type":"textfield"},"options":{"readonly":true}}],"action":{"title":{"default":"Unlock","localized":"modem-sim-unlock-action-title"},"method":"modemng.unlocksimbypin"}},{"hidden":"modemng.locktype is not PUK","fields":[{"title":{"default":"Enter new PIN","localized":"modem-sim-pin-field-title"},"argument":"newPin","control":{"type":"textfield","options":{"masked":true}}},{"title":{"default":"Enter PUK","localized":"modem-sim-puk-field-title"},"argument":"puk","control":{"type":"textfield","options":{"masked":true}}},{"title":{"default":"Save new PIN","localized":"modem-sim-new-pin-save-field-title"},"argument":"savepin","control":{"type":"checkbox"}},{"title":{"default":"Attempts left","localized":"modem-sim-puk-left-attempts-field-title"},"parameter":"modemng.leftattempts","control":{"type":"textfield"},"options":{"readonly":true}}],"action":{"title":{"default":"Unlock","localized":"modem-sim-unlock-action-title"},"method":"modemng.unlocksimbypuk"}},{"hidden":"modemng.savediccid is ","fields":[{"title":{"default":"SIM-ID (ICCID) for saved PIN","localized":"modem-sim-saved-iccid-field-title"},"parameter":"modemng.savediccid","control":{"type":"textfield"},"options":{"readonly":true}}],"action":{"title":{"default":"Forget PIN","localized":"modem-sim-forget-pin-action-title"},"method":"modemng.forgetpin","confirm":{"title":{"default":"Forget saved PIN","localized":"modem-sim-forget-pin-confirm-title"},"message":{"default":"Do you really want to delete the saved PIN? This will take effect after next device reboot.","localized":"modem-sim-forget-pin-confirm-message"}}}}]}')},function(e,t,n){"use strict";var o,r=this&&this.__extends||(o=function(e,t){return(o=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}o(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),i=this&&this.__awaiter||function(e,t,n,o){return new(n||(n=Promise))((function(r,i){function l(e){try{c(o.next(e))}catch(e){i(e)}}function a(e){try{c(o.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(l,a)}c((o=o.apply(e,t||[])).next())}))},l=this&&this.__generator||function(e,t){var n,o,r,i,l={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;l;)try{if(n=1,o&&(r=2&i[0]?o.return:i[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,i[1])).done)return r;switch(o=0,r&&(i=[2&i[0],r.value]),i[0]){case 0:case 1:r=i;break;case 4:return l.label++,{value:i[1],done:!1};case 5:l.label++,o=i[1],i=[0];continue;case 7:i=l.ops.pop(),l.trys.pop();continue;default:if(!(r=l.trys,(r=r.length>0&&r[r.length-1])||6!==i[0]&&2!==i[0])){l=0;continue}if(3===i[0]&&(!r||i[1]>r[0]&&i[1]<r[3])){l.label=i[1];break}if(6===i[0]&&l.label<r[1]){l.label=r[1],r=i;break}if(r&&l.label<r[2]){l.label=r[2],l.ops.push(i);break}r[2]&&l.ops.pop(),l.trys.pop();continue}i=t.call(e,l)}catch(e){i=[6,e],o=0}finally{n=r=0}if(5&i[0])throw i[1];return{value:i[0]?i[1]:void 0,done:!0}}([i,a])}}};Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var o=e.call(this,t)||this,r=n(6);return o.viewController=t.viewGenerator.generate(t,r),o.view=o.viewController.view,o}return r(t,e),t.prototype.load=function(){return i(this,void 0,void 0,(function(){var e;return l(this,(function(t){switch(t.label){case 0:return[4,this.viewController.load()];case 1:return t.sent(),null!=(e=this.view.querySelector('[taid="field-modem_signal_strength"] input'))&&(e.value=e.value+" %"),[2]}}))}))},t}(n(0).ViewController);t.MobileNetworkInfo=a},function(e){e.exports=JSON.parse('{"title":{"default":"Mobile Network Information","localized":"Mobile_Network_Information"},"sections":[{"fields":[{"title":{"default":"State:","localized":"modem_networkstate"},"parameter":"modemng.networkstate","control":{"type":"textfield"},"options":{"readonly":true}},{"title":{"default":"Operator:","localized":"modem_operator"},"parameter":"modemng.operator","control":{"type":"textfield"},"options":{"readonly":true}},{"title":{"default":"Net Technology:","localized":"modem_nettechnology"},"parameter":"modemng.nettechnology","control":{"type":"textfield"},"options":{"readonly":true}},{"title":{"default":"Signal Strength:","localized":"modem_signal_strength"},"parameter":"modemng.signalstrength","control":{"type":"textfield"},"options":{"readonly":true}},{"title":{"default":"Operator Identifier (MCC+MNC):","localized":"modem_mccmnc"},"parameter":"modemng.mccmnc","control":{"type":"textfield"},"options":{"readonly":true}},{"title":{"default":"Location Area Code (LAC):","localized":"modem_lac"},"parameter":"modemng.lac","control":{"type":"textfield"},"options":{"readonly":true}},{"title":{"default":"Cell-ID (CID):","localized":"modem_cid"},"parameter":"modemng.cid","control":{"type":"textfield"},"options":{"readonly":true}}]}]}')},function(e,t,n){"use strict";var o,r=this&&this.__extends||(o=function(e,t){return(o=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}o(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),i=this&&this.__awaiter||function(e,t,n,o){return new(n||(n=Promise))((function(r,i){function l(e){try{c(o.next(e))}catch(e){i(e)}}function a(e){try{c(o.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(l,a)}c((o=o.apply(e,t||[])).next())}))},l=this&&this.__generator||function(e,t){var n,o,r,i,l={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;l;)try{if(n=1,o&&(r=2&i[0]?o.return:i[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,i[1])).done)return r;switch(o=0,r&&(i=[2&i[0],r.value]),i[0]){case 0:case 1:r=i;break;case 4:return l.label++,{value:i[1],done:!1};case 5:l.label++,o=i[1],i=[0];continue;case 7:i=l.ops.pop(),l.trys.pop();continue;default:if(!(r=l.trys,(r=r.length>0&&r[r.length-1])||6!==i[0]&&2!==i[0])){l=0;continue}if(3===i[0]&&(!r||i[1]>r[0]&&i[1]<r[3])){l.label=i[1];break}if(6===i[0]&&l.label<r[1]){l.label=r[1],r=i;break}if(r&&l.label<r[2]){l.label=r[2],l.ops.push(i);break}r[2]&&l.ops.pop(),l.trys.pop();continue}i=t.call(e,l)}catch(e){i=[6,e],o=0}finally{n=r=0}if(5&i[0])throw i[1];return{value:i[0]?i[1]:void 0,done:!0}}([i,a])}}};Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var o=e.call(this,t)||this,r=n(8);return o.viewController=t.viewGenerator.generate(t,r),o.view=o.viewController.view,o}return r(t,e),t.prototype.load=function(){return i(this,void 0,void 0,(function(){var e;return l(this,(function(t){switch(t.label){case 0:return[4,this.viewController.load()];case 1:return t.sent(),null!=(e=this.view.querySelector('[taid="field-modem_signal_strength"] input'))&&(e.value=e.value+" %"),[2]}}))}))},t}(n(0).ViewController);t.MobileNetworkConfig=a},function(e){e.exports=JSON.parse('{"title":{"default":"Mobile Network Configuration","localized":"Mobile_Network_Configuration"},"note":{"default":"The selected network technology always applies. The settings \\"Operator Identifier\\" and \\"Automatic Network Selection as Fallback\\" only apply on manual network selection.","localized":"modem_mobile_network_configuration_note"},"sections":[{"fields":[{"title":{"default":"Network Technology:","localized":"modem_nettechselect"},"control":{"type":"dropdown","items":[{"value":"AUTO","title":{"default":"AUTO","localized":"modem_nettechselect_auto"}},{"value":"LTE","title":{"default":"LTE","localized":"modem_nettechselect_lte"}},{"value":"UMTS","title":{"default":"UMTS","localized":"modem_nettechselect_umts"}},{"value":"GSM","title":{"default":"GSM","localized":"modem_nettechselect_gsm"}}]},"parameter":"modemng.nettechselect","options":{"readonly":false}},{"title":{"default":"Manual Network Selection:","localized":"modem_manualnetselect"},"control":{"type":"checkbox"},"parameter":"modemng.manualnetselect","options":{"readonly":false}},{"title":{"default":"Operator Identifier (MCC+MNC):","localized":"modem_netoperator"},"control":{"type":"textfield"},"parameter":"modemng.operatoridentifier","options":{"readonly":false}},{"title":{"default":"Automatic Network Selection as Fallback:","localized":"modem_fallbackautoselect"},"control":{"type":"checkbox"},"parameter":"modemng.netselectfallbackauto","options":{"readonly":false}}]}]}')},function(e,t,n){"use strict";var o,r=this&&this.__extends||(o=function(e,t){return(o=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}o(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),i=this&&this.__awaiter||function(e,t,n,o){return new(n||(n=Promise))((function(r,i){function l(e){try{c(o.next(e))}catch(e){i(e)}}function a(e){try{c(o.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(l,a)}c((o=o.apply(e,t||[])).next())}))},l=this&&this.__generator||function(e,t){var n,o,r,i,l={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;l;)try{if(n=1,o&&(r=2&i[0]?o.return:i[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,i[1])).done)return r;switch(o=0,r&&(i=[2&i[0],r.value]),i[0]){case 0:case 1:r=i;break;case 4:return l.label++,{value:i[1],done:!1};case 5:l.label++,o=i[1],i=[0];continue;case 7:i=l.ops.pop(),l.trys.pop();continue;default:if(!(r=l.trys,(r=r.length>0&&r[r.length-1])||6!==i[0]&&2!==i[0])){l=0;continue}if(3===i[0]&&(!r||i[1]>r[0]&&i[1]<r[3])){l.label=i[1];break}if(6===i[0]&&l.label<r[1]){l.label=r[1],r=i;break}if(r&&l.label<r[2]){l.label=r[2],l.ops.push(i);break}r[2]&&l.ops.pop(),l.trys.pop();continue}i=t.call(e,l)}catch(e){i=[6,e],o=0}finally{n=r=0}if(5&i[0])throw i[1];return{value:i[0]?i[1]:void 0,done:!0}}([i,a])}}};Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var o=e.call(this,t)||this;o.didLoad=!1;var r=n(10);return o.viewController=t.viewGenerator.generate(t,r),o.view=o.viewController.view,o}return r(t,e),t.prototype.load=function(){return i(this,void 0,void 0,(function(){return l(this,(function(e){switch(e.label){case 0:return this.didLoad?[3,2]:(this.didLoad=!0,[4,this.viewController.load()]);case 1:e.sent(),this.addNetworkList(this.viewController.view.querySelector("div.section-body")),this.addRefreshButton(this.viewController.view.querySelector("div.actions")),e.label=2;case 2:return[2]}}))}))},t.prototype.addNetworkList=function(e){e.innerHTML='<div id="modemng-network-list"></div>'},t.prototype.addRefreshButton=function(e){var t=this,n=document.createElement("button");n.id="modemng-networkscan-refresh-button",n.classList.add("action"),n.textContent=this.base.localization.localized({key:"refresh",fallback:"Refresh"}),n.addEventListener("click",(function(){return t.refreshNetworkScan()})),e.appendChild(n)},t.prototype.onNetworkListRefresh=function(e){this.refreshCallback=e},t.prototype.refreshNetworkScan=function(){return i(this,void 0,void 0,(function(){var e,t,n,o,r,i,a,c,u,s,d;return l(this,(function(l){switch(l.label){case 0:return(e=this.viewController.view.querySelector("#modemng-network-list")).innerHTML="",t=this.base.parameter.read(["modemng.networkscan.*.longname","modemng.networkscan.*.shortname","modemng.networkscan.*.mccmnc","modemng.networkscan.*.type","modemng.networkscan.*.state"]),[4,this.base.modalPresenter.showLoadingDialog(this.base,{title:this.base.localization.localized({key:"loading-modemng-network-list-modal-title",fallback:"Scanning for networks..."})},t)];case 1:return l.sent(),[4,t];case 2:if((n=l.sent()).some((function(e){return!!e.error&&(o=e.error.message,!0)})))this.base.modalPresenter.showErrorDialog(this.base,{title:"Failed to scan for networks",message:"An error occured while scanning for networks",detailMessage:o});else{for(r=n.length/5,this.networkList=[],i=0;i<r;i++)a=n[i].value,c=n[i+r].value,u=n[i+2*r].value,s=n[i+3*r].value,d=n[i+4*r].value,this.networkList.push({longname:a,shortname:c,mccmnc:u,type:s,state:d});this.generateNetworkScanTable(e),this.refreshCallback&&this.refreshCallback()}return[2]}}))}))},t.prototype.generateNetworkScanTable=function(e){if(this.networkList){var t=document.createElement("table");t.style.borderSpacing="10px",t.style.textAlign="left";for(var n=t.createTHead().insertRow(),o=0,r=["Long Name","Short Name","MCC+MNC","Type","State"];o<r.length;o++){var i=r[o],l=document.createElement("th"),a=document.createTextNode(i);l.appendChild(a),n.appendChild(l)}for(var c=t.createTBody(),u=0,s=this.networkList;u<s.length;u++)for(var d=s[u],f=c.insertRow(),p=0,m=Object.entries(d);p<m.length;p++){var h=m[p],y=(h[0],h[1]),w=document.createElement("td");a=document.createTextNode(y);w.appendChild(a),f.appendChild(w)}e.appendChild(t)}},t}(n(0).ViewController);t.NetworkScan=a},function(e){e.exports=JSON.parse('{"title":{"default":"Network Scan","localized":"Network_Scan"},"note":{"default":"Network scan may take several minutes. An active connection will be lost while scanning","localized":"modem_network_scan_note"},"sections":[{"fields":[]}]}')},function(e,t,n){"use strict";var o,r=this&&this.__extends||(o=function(e,t){return(o=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}o(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),i=this&&this.__awaiter||function(e,t,n,o){return new(n||(n=Promise))((function(r,i){function l(e){try{c(o.next(e))}catch(e){i(e)}}function a(e){try{c(o.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(l,a)}c((o=o.apply(e,t||[])).next())}))},l=this&&this.__generator||function(e,t){var n,o,r,i,l={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;l;)try{if(n=1,o&&(r=2&i[0]?o.return:i[0]?o.throw||((r=o.return)&&r.call(o),0):o.next)&&!(r=r.call(o,i[1])).done)return r;switch(o=0,r&&(i=[2&i[0],r.value]),i[0]){case 0:case 1:r=i;break;case 4:return l.label++,{value:i[1],done:!1};case 5:l.label++,o=i[1],i=[0];continue;case 7:i=l.ops.pop(),l.trys.pop();continue;default:if(!(r=l.trys,(r=r.length>0&&r[r.length-1])||6!==i[0]&&2!==i[0])){l=0;continue}if(3===i[0]&&(!r||i[1]>r[0]&&i[1]<r[3])){l.label=i[1];break}if(6===i[0]&&l.label<r[1]){l.label=r[1],r=i;break}if(r&&l.label<r[2]){l.label=r[2],l.ops.push(i);break}r[2]&&l.ops.pop(),l.trys.pop();continue}i=t.call(e,l)}catch(e){i=[6,e],o=0}finally{n=r=0}if(5&i[0])throw i[1];return{value:i[0]?i[1]:void 0,done:!0}}([i,a])}}};Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var o=e.call(this,t)||this,r=n(12);return o.viewController=t.viewGenerator.generate(t,r),o.view=o.viewController.view,o}return r(t,e),t.prototype.load=function(){return i(this,void 0,void 0,(function(){return l(this,(function(e){switch(e.label){case 0:return[4,this.viewController.load()];case 1:return e.sent(),this.ApnInput=this.view.querySelector('[taid="field-modem_apn"] input'),this.updateApnInputColourAndTooltip(),[2]}}))}))},t.prototype.updateApnInputColourAndTooltip=function(){void 0!==this.ApnInput&&(this.ApnInput.value?(this.ApnInput.style.removeProperty("background-color"),this.ApnInput.removeAttribute("title")):(this.ApnInput.style.backgroundColor="lemonchiffon",this.ApnInput.title="APN may be required to use an active data connection"))},t}(n(0).ViewController);t.NetworkPackageService=a},function(e){e.exports=JSON.parse('{"title":{"default":"Network Package Service","localized":"Network_Package_Service"},"note":{"default":"APN may be required to use an active data connection","localized":"modem_apn_required_note"},"sections":[{"fields":[{"title":{"default":"WDS:","localized":"modem_wdsstate"},"control":{"type":"checkbox"},"parameter":"modemng.wdsstate","options":{"readonly":false}}]},{"fields":[{"title":{"default":"State:","localized":"modem_networkpackagestate"},"control":{"type":"textfield"},"parameter":"modemng.networkpackagestate","options":{"readonly":true}},{"title":{"default":"APN:","localized":"modem_apn"},"control":{"type":"textfield"},"parameter":"modemng.apn","options":{"readonly":false}},{"title":{"default":"Username:","localized":"modem_apnusername"},"control":{"type":"textfield"},"parameter":"modemng.apnusername","options":{"readonly":false}},{"title":{"default":"Password:","localized":"modem_apnpassword"},"control":{"type":"textfield"},"parameter":"modemng.apnpassword","options":{"readonly":false}},{"title":{"default":"Authentication Type","localized":"modem_authenticationtype"},"parameter":"modemng.authenticationtype","options":{"readonly":false},"control":{"type":"dropdown","items":[{"value":"NONE","title":{"default":"None","localized":"modem_authenticationtype_none"}},{"value":"PAP","title":{"default":"PAP","localized":"modem_authenticationtype_pap"}},{"value":"CHAP","title":{"default":"CHAP","localized":"modem_authenticationtype_chap"}},{"value":"PAP/CHAP","title":{"default":"PAP or CHAP","localized":"modem_authenticationtype_pap_or_chap"}}]}},{"hidden":"modemng.simstate is not sim_ready","title":{"default":"Modem IP:","localized":"modem_ip"},"control":{"type":"textfield"},"parameter":"modemng.ip","options":{"readonly":true}}]}]}')},function(e){e.exports=JSON.parse('{"title":{"default":"","localized":""},"content":[{"title":{"default":"Modem Information","localized":"Modem_Information"},"sections":[{"fields":[{"hidden":"modemng.state is not ready","title":{"default":"Manufacturer:","localized":"modem_manufacturer"},"parameter":"modemng.manufacturer","control":{"type":"textfield"},"options":{"readonly":true}},{"hidden":"modemng.state is not ready","title":{"default":"Model:","localized":"modem_model"},"parameter":"modemng.model","control":{"type":"textfield"},"options":{"readonly":true}},{"hidden":"modemng.state is not ready","title":{"default":"Version:","localized":"modem_version"},"parameter":"modemng.version","control":{"type":"textfield"},"options":{"readonly":true}},{"hidden":"modemng.state is not ready","title":{"default":"IMEI:","localized":"modem_imei"},"parameter":"modemng.imei","control":{"type":"textfield"},"options":{"readonly":true}},{"hidden":"modemng.state is ready","title":{"default":"Modem State:","localized":"modem_state"},"parameter":"modemng.state","control":{"type":"textfield"},"options":{"readonly":true}}]}]}]}')}])}));
//# sourceMappingURL=modem-ng.js.map